

var playerInitTimemediaspace = Date.now();
var playermediaspace = jwplayer("mediaspace");

var playerConfigmediaspace = {
	"playlist": [{
		"sources": [
			

			{ "type": "hls", "label": "Auto-HLS", "file": "https://pilatesanytime-media.global.ssl.fastly.net/1673067367_c5acb19807f6152d531d2cea56fda57e01598655/2019/06/carrie-pages/6013/video/previews/h264-,504p,720p,360p,216p.m3u8?subtitles=en" },
			{ "type": "mpd", "label": "Auto-MPD", "file": "https://pilatesanytime-media.global.ssl.fastly.net/1673067367_c5acb19807f6152d531d2cea56fda57e01598655/2019/06/carrie-pages/6013/video/previews/h264-,504p,720p,360p,216p.mpd" }, {}
			
		],
		"image": "//images.pilatesanytime.com/2019/08/05/full_carrie_190625_PA6013-44132.jpg",
		
		"title": "#3870: Cueing for Success",
		"description": "Pilates Teachers, Cueing, Teaching Skills, Posture",
		
		"tracks": [
			
			{ "kind": "chapters", "file": "/caption_files/vtt_chapters/7792_chapters.vtt" },
			
			{ "kind": "thumbnails", "file": "https://pilatesanytime-media.global.ssl.fastly.net/1673067367_b1ac875d48b1fdcf5c0d5e24196133f75921680e/2019/06/carrie-pages/6013/thumbs/160x90.vtt" },
			
		{} ]
	}],
	"skin": {
		"url": "https://www.pilatesanytime.com/css/jwplayer8/skins/pilates_jwplayer8_skin.css?v=PIL-3405",
		"name": "tm_skin"
	},
	"playbackRateControls": [0.5, 0.75, 1, 1.25, 1.5, 2.0],
	
	"cast": {
		"appid": "D285D081",
		"logo": "//images.pilatesanytime.com/graphics/pilates/PAlogo_@2x.png",
		"railcolor": "#99cc33"
	},
	
	"width": "100%",
	"aspectratio": "16:9",
	"hlshtml": true,
	"floating": { "dismissible": true } 
};

playermediaspace.setup(playerConfigmediaspace);



if (typeof initJWPlayerMux !== 'undefined') {
	initJWPlayerMux(playermediaspace, {
		debug: false,
		data: {
			property_key: 'f668d87099c7c76bc3eef5935', // required
			page_type: 'watchpage', // (see docs) 'watchpage', 'iframe', or leave empty
			viewer_user_id: '-1', // ex: '12345'
			experiment_name: '', // ex: 'player_test_A'
			sub_property_id: 'pilates', // ex: 'cus-1'

			// Player Metadata
			player_name: 'jwplayer', // ex: 'My Main Player'
			player_version: jwplayer.version.split("+")[0], // ex: '1.0.0'
			player_init_time: playerInitTimemediaspace, // ex: 1451606400000

			// Video Metadata (cleared with 'videochange' event)
			video_id: '7792', // ex: 'abcd123'
			video_title: '7792: Cueing for Success', // ex: 'My Great Video'
			video_series: 'Carrie Pages', // ex: 'Weekly Great Videos'
			video_producer: '', // ex: 'Bob the Producer'
			video_content_type: '', // 'short', 'movie', 'episode', 'clip', 'trailer', or 'event'
			video_language_code: '', // ex: 'en'
			video_variant_name: '', // ex: 'Spanish Hard Subs'
			video_variant_id: '', // ex: 'abcd1234'
			video_duration: '', // in milliseconds, ex: 120000
			video_stream_type: 'on-demand', // 'live' or 'on-demand'
			video_encoding_variant: '', // ex: 'Variant 1'
			video_cdn: 'fastly' // ex: 'Fastly', 'Cloudfront'
		}
	});
}

var videoIsPlaying = 0;
var asked_resume = 0;


	var requireTermsOK = 1;

	asked_resume = 0;



playermediaspace.on('time', function(evt) { 
	var lastPosition = $("#video_view_pos").val();
	var currentPosition = evt.position;
	videoIsPlaying = 1;
	$("#video_view_pos").val(currentPosition);

	
		getCurrentChapter(currentPosition);
		
		getCurrentTranscriptSegment(currentPosition);
		
		
		// record position in cookie, update form field	  
		//markWatched("mediaProgress");
		var date = new Date();
		date.setTime(date.getTime()+(90*1000));
		document.cookie="last_video_id=7792; secure; expires=" + date.toGMTString();
		document.cookie="last_position=" + currentPosition + "; secure; expires=" + date.toGMTString();
	
});


playermediaspace.on('pause', function(data) { 
	if (videoIsPlaying == 1) { markWatched("mediaStop"); }
	videoIsPlaying = 0;
	if (document.ga) ga('send', 'event', 'video', 'pause', 'video_id', 7792);
});




playermediaspace.on('play', function(data) {
	
	
	var videoIsPlaying = 1;
	position = $('#video_view_pos').val();
	//console.log("onPlay position is: " + position);
	if (position > 0) {
		//if we have not asked them resume question yet...
		if (asked_resume == 0) {
			$('#js-progress-video').hide();
			asked_resume = 1;
			//console.log("resuming playback...");
			doResumemediaspace(position);
		}
	}
	markWatched("mediaPlay");
		
	if (document.ga) ga('send', 'event', 'video', 'play', 'video_id', 7792);

	
});


playermediaspace.on('complete', function() {
	
		markWatched("mediaComplete");
		
		
	if (document.ga) ga('send', 'event', 'video', 'complete', 'video_id', 7792);
	
});




playermediaspace.on('error', function(error) {

	if (document.ga) ga('send', 'event', 'video', 'error', 'video_id', 7792);
	

	var payload = {
		vid: "7792",
		cid: "3870",
		i: "-1",
		e: error,
		c: jwplayer('mediaspace').getConfig()
	};
	
	if (error.message.indexOf("Error loading media: File could not be played") >= 0) {
		//Update their prefs to exclude 720p bad renditions, Show the help div
		$('#playbackIssuesDIV').show();
		
		var file = jwplayer('mediaspace').getConfig().playlist[0].file;
		
		$.ajax({
			async: false,
			timeout: 10,
			url: file,
			type: "GET",
			error: function(xhr, status, innererror) {
				var responseText = xhr.responseText;
				var re = /^Reference\&\#32\;\&\#35\;(.*)$/m;
				var result = responseText.match(re);
				if (result.length > 1) {
					var reference = result[1];
					payload = {
						vid: "7792",
						cid: "3870",
						i: "-1",
						e: error,
						c: jwplayer('mediaspace').getConfig(),
						ar: reference
					};
				}
			}
		});
	}
	else if (error.message.indexOf("Cannot load M3U8: Crossdomain access denied" >= 0)) {
		if ($.cookie("crossdomainReload") !== "true") {
			$.cookie("crossdomainReload", "true");
			// Display brief flash message indicating we're reloading expired video page ?
			location.reload();
		}
		else {
			// Display more friendly error message than the JWPlayer M3U8 access denied?
		}
	}
	else {
		//alert(error.message.indexOf("Error loading media: File could not be played"));
	}
	
	$.ajax({
		type: "POST",
		url: "/jwplayer/jwplayer_error.cfm",
		contentType: "application/json; charset=utf-8",
		data: JSON.stringify(payload),
		success: function(data) {
			//result = $.parseJSON(data);
			//console.log("post result:"+result.error_message);
		}
	});
});


function doPausemediaspace() {
	if(playermediaspace.getState() == "playing") {
		playermediaspace.pause();
	}
}

function doPlayPausemediaspace() {
	if(playermediaspace.getState() == "playing") {
		playermediaspace.pause();
	}
	else {
		playermediaspace.play();
	}
}

function doResumemediaspace(resume_position) {
	playermediaspace.seek(resume_position);
	
	$("#video_view_pos").val(resume_position);
	
}

function getClassURL() {
	new_url = "#";
	
	new_url = '/workshop_view.cfm?class_id=3870';
	
	return new_url;
}


function markWatched(my_action) {		
	var my_position = document.getElementById("video_view_pos").value;
	var instance = new classFunctions();  
	if (my_action == 'mediaPlay' || my_action == 'mediaStop' || my_action == 'mediaComplete' || my_action == 'mediaProgress') {
		var myResult = instance.saveClassView(7792, -1, '-1', my_action, 36955564, my_position);
	}
	document.getElementById("video_view_pos").value = my_position;
}

function jumpToChapter(timecode) { seek(timecode); } // backward compatibility in case of caching; delete after 30 days, this function has been renamed
function seek(timecode) { playermediaspace.seek(timecode); }

function playVideo() { playermediaspace.play(); }


	function getCurrentChapter(cseconds) {
		
		
			if (cseconds >= 0 && cseconds <509.006) {
				//console.log('Chapter at '+cseconds+' is 1676 - Chapter 1');
				markActiveChapter(1676);
			}
			else {
				markInActiveChapter(1676);
			}
			
		
			if (cseconds >= 509.006 && cseconds <944.027) {
				//console.log('Chapter at '+cseconds+' is 1677 - Chapter 2');
				markActiveChapter(1677);
			}
			else {
				markInActiveChapter(1677);
			}
			
		
			if (cseconds >= 944.027 && cseconds <1237.018) {
				//console.log('Chapter at '+cseconds+' is 1678 - Chapter 3');
				markActiveChapter(1678);
			}
			else {
				markInActiveChapter(1678);
			}
			
		
			if (cseconds >= 1237.018 && cseconds <1699.004) {
				//console.log('Chapter at '+cseconds+' is 1679 - Chapter 4');
				markActiveChapter(1679);
			}
			else {
				markInActiveChapter(1679);
			}
			
		
			if (cseconds >= 1699.004 && cseconds <1872.021) {
				//console.log('Chapter at '+cseconds+' is 1680 - Chapter 5');
				markActiveChapter(1680);
			}
			else {
				markInActiveChapter(1680);
			}
			
		
			if (cseconds >= 1872.021 && cseconds <2029.006) {
				//console.log('Chapter at '+cseconds+' is 1681 - Chapter 6');
				markActiveChapter(1681);
			}
			else {
				markInActiveChapter(1681);
			}
			
		
			if (cseconds >= 2029.006 && cseconds <2607.003) {
				//console.log('Chapter at '+cseconds+' is 1682 - Chapter 7');
				markActiveChapter(1682);
			}
			else {
				markInActiveChapter(1682);
			}
			
		
			if (cseconds >= 2607.003 && cseconds <3834.019) {
				//console.log('Chapter at '+cseconds+' is 1683 - Chapter 8');
				markActiveChapter(1683);
			}
			else {
				markInActiveChapter(1683);
			}
			
		
			if (cseconds >= 3834.019 && cseconds <4530.024) {
				//console.log('Chapter at '+cseconds+' is 1684 - Chapter 9');
				markActiveChapter(1684);
			}
			else {
				markInActiveChapter(1684);
			}
			
		
			if (cseconds >= 4530.024 && cseconds <5379.001) {
				//console.log('Chapter at '+cseconds+' is 1685 - Chapter 10');
				markActiveChapter(1685);
			}
			else {
				markInActiveChapter(1685);
			}
			
		
			if (cseconds >= 5379.001 && cseconds <6180.009) {
				//console.log('Chapter at '+cseconds+' is 1686 - Chapter 11');
				markActiveChapter(1686);
			}
			else {
				markInActiveChapter(1686);
			}
			
		
	}
	
	function markActiveChapter(my_chapter_id) {
		this_chapter = $('#js-chapter-'+my_chapter_id);
		if (!this_chapter.hasClass('tm-card-active')) {
			this_chapter.addClass('tm-card-active');
			scrollToChapter(my_chapter_id);
		}
	}
	function markInActiveChapter(my_chapter_id) {
		this_chapter = $('#js-chapter-'+my_chapter_id);
		if (this_chapter.hasClass('tm-card-active')) {
			this_chapter.removeClass('tm-card-active');
		}
	}

	prior_seconds = -1;
	
	function getCurrentTranscriptSegment(cseconds) {
		var rounded_seconds = parseInt(cseconds);
		if (rounded_seconds != prior_seconds) {
			scrollToTranscriptSegment(rounded_seconds,prior_seconds);
			prior_seconds = rounded_seconds;
		}
		
	}
